zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 36bff6c29af64692839d077febfc7079
      name: 'Templates/Network devices'
    - uuid: 846977d1dfed4968bc5f8bdb363285bc
      name: 'Templates/Operating systems'
  templates:
    - uuid: 4817ddfae769405f96fc6307fe7daac2
      template: 'Stormshield SNS by SNMP'
      name: 'Stormshield SNS by SNMP'
      description: |
        The template for monitoring SNS firewall by SNMP.
        
        MIBs used:
        HOST-RESOURCES-MIB
        UCD-SNMP-MIB
        STORMSHIELD-ASQ-STATS-MIB
        STORMSHIELD-AUTOUPDATE-MIB
        STORMSHIELD-HA-MIB
        STORMSHIELD-PROPERTY-MIB
        STORMSHIELD-HEALTH-MONITOR-MIB
        STORMSHIELD-IF-MIB
        STORMSHIELD-SYSTEM-MONITOR-MIB
        STORMSHIELD-IPSEC-STATS-MIB
        
        Generated by official Zabbix template tool "Templator"
      groups:
        - name: 'Templates/Network devices'
        - name: 'Templates/Operating systems'
      items:
        - uuid: 2f6ada884c2c44c9b0fcd7060c53074d
          name: snsASQStatsStatefulTcpConn
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.12.1.23.0
          key: 'asq.alarm.statefulltcp[snsASQStatsStatefulTcpConn.{#SNMPINDEX}]'
          description: 'MIB : STORMSHIELD-ASQ-STATS-MIB'
          tags:
            - tag: component
              value: asq
        - uuid: ba3f7d9edab642c08f57ea3e0b5396b8
          name: snsASQStatsStatefulUdpConn
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.12.1.33.0
          key: 'asq.alarm.statefulludp[snsASQStatsStatefulUdpConn.{#SNMPINDEX}]'
          description: 'MIB : STORMSHIELD-ASQ-STATS-MIB'
          tags:
            - tag: component
              value: asq
        - uuid: c0b880a563f94be697ed87168afb559a
          name: snsASQStatsStatefulMajorAlarm
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.12.1.12.0
          key: 'asq.alarm.statefull[snsASQStatsStatefulMajorAlarm.{#SNMPINDEX}]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-ASQ-STATS-MIB
            Major alarm
          tags:
            - tag: component
              value: asq
        - uuid: cc146796647b4cbca33af8ff21eeb7e2
          name: snsASQStatsStatefulMinorAlarm
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.12.1.11.0
          key: 'asq.alarm.statefull[snsASQStatsStatefulMinorAlarm.{#SNMPINDEX}]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-ASQ-STATS-MIB
            Minor alarm
          tags:
            - tag: component
              value: asq
        - uuid: de137c69a2a2470c932af650d16d150d
          name: 'SNMP walk auto-update'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.9.1.1]'
          key: auto-update.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering updates from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: af79ae6d579c4715884112060086db7d
          name: 'SNMP walk CPU temperature'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.10.7.1]'
          key: cpu.temperature.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering CPU temperature from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: c34c6419dff942a692f2539cafd785b9
          name: 'SNMP walk CPU usage'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.2.1.25.3.3.1]'
          key: cpu.usage.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering CPU usage from the HOST-RESOURCES-MIB'
          tags:
            - tag: component
              value: raw
        - uuid: 656849f6cab64922b13c09da13a77443
          name: 'HA number of faulty HA links'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.11.6.0
          key: 'ha.links.faulty[snsNbFaultyHALinks.0]'
          description: |
            MIB : STORMSHIELD-HA-MIB
            Number of faulty HA links
          tags:
            - tag: component
              value: ha
          triggers:
            - uuid: 05cc0770b35c49a289a8ad755d65eefb
              expression: 'last(/Stormshield SNS by SNMP/ha.links.faulty[snsNbFaultyHALinks.0],#1)>0'
              name: 'SNS: Faulty HA link'
              event_name: 'SNS: Faulty HA link'
              priority: AVERAGE
              description: 'There is at least one faulty HA link.'
              tags:
                - tag: scope
                  value: availability
        - uuid: a8415cac120a4a479ff7ddfb053a83d7
          name: "SNMP walk\_HA members"
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.11.7.1]'
          key: ha.members.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering HA members from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: ba8947438d1944ea81ee8e2d61a05c24
          name: 'HA number of active firewalls'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.11.3.0
          key: 'ha.node.active[snsNbActiveNode.0]'
          description: |
            MIB : STORMSHIELD-HA-MIB
            Number of active firewalls
          tags:
            - tag: component
              value: ha
        - uuid: aa9f04c2048c4cc38a0d156e1225fa00
          name: 'HA number of firewalls in the cluster'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.11.1.0
          key: 'ha.node.count[snsNbNode.0]'
          description: |
            MIB : STORMSHIELD-HA-MIB
            Number of firewalls in the HA cluster
          tags:
            - tag: component
              value: ha
        - uuid: c5fb5b214d184b0597efdf4ed868aa72
          name: 'HA number of firewalls not replying'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.11.2.0
          key: 'ha.node.dead[snsNbDeadNode.0]'
          description: |
            MIB : STORMSHIELD-HA-MIB
            Number of firewalls registered in the HA cluster but not replying
          tags:
            - tag: component
              value: ha
        - uuid: eac28a2cc29b4f83a3c8326abb5cada8
          name: 'HA synchronisation status'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.11.8.0
          key: 'ha.sync.status[snsHASyncStatus.0]'
          description: |
            MIB : STORMSHIELD-HA-MIB
            Firewall configuration synchronization status
            (1: Synced, 0: Not synced, -1: Unknown / Error)
          tags:
            - tag: component
              value: ha
          triggers:
            - uuid: 344c9e6a710a4bf5b3659533ddb3ac9b
              expression: 'last(/Stormshield SNS by SNMP/ha.sync.status[snsHASyncStatus.0],#1)<0'
              name: 'SNS: HA synchronization error'
              event_name: 'SNS: HA synchronization error'
              priority: AVERAGE
              description: 'The cluster HA is not synchronised properly.'
              tags:
                - tag: scope
                  value: availability
        - uuid: 426be9decdf547f68c6a44fd99793063
          name: "SNMP walk\_Health"
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.16.2.1]'
          key: health.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering Health status from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: 06f84f088b16453fba42d10d2dbee225
          name: 'Available memory'
          type: CALCULATED
          key: host.memory.available
          value_type: FLOAT
          units: B
          params: '(last(//host.memory.buffer[memBuffer.0]))+(last(//host.memory.cached[memCached.0]))+(last(//host.memory.freel[memAvailReal.0]))'
          description: |
            Available memory in bytes.
            Available = Free + Cached + Buffer
          tags:
            - tag: component
              value: memory
        - uuid: 4be1d4f4b820448490f5e0734aa8f256
          name: 'Buffer memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.2021.4.14.0
          key: 'host.memory.buffer[memBuffer.0]'
          value_type: FLOAT
          units: B
          description: |
            MIB : ucdavis MIB
            Buffer memory in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '1000'
          tags:
            - tag: component
              value: memory
        - uuid: f4e0ca3280c946ada26c74452aa080d0
          name: 'Cached memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.2021.4.15.0
          key: 'host.memory.cached[memCached.0]'
          value_type: FLOAT
          units: B
          description: |
            MIB : ucdavis MIB
            Cached memory in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '1000'
          tags:
            - tag: component
              value: memory
        - uuid: ae6a36adda14454386a90d2fd1896516
          name: 'Free memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.2021.4.6.0
          key: 'host.memory.freel[memAvailReal.0]'
          value_type: FLOAT
          units: B
          description: |
            MIB : ucdavis MIB
            Free memory in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '1000'
          tags:
            - tag: component
              value: memory
        - uuid: f3ed9561627c49ee84a8c43610788ca8
          name: 'Total memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.2021.4.5.0
          key: 'host.memory.total[memTotalReal.0]'
          units: B
          description: |
            MIB : ucdavis MIB
            Total physical memory (RAM) installed in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '1000'
          tags:
            - tag: component
              value: memory
        - uuid: 8704c037b6e441a0ba6b39941da17994
          name: 'Used memory'
          type: CALCULATED
          key: host.memory.used
          value_type: FLOAT
          units: B
          params: '(last(//host.memory.total[memTotalReal.0]))-(last(//host.memory.available))'
          description: 'Used memory in bytes.'
          tags:
            - tag: component
              value: memory
        - uuid: cd266100928240b1bc77586972d5da0b
          name: 'Memory utilization'
          type: CALCULATED
          key: host.memory.utilization
          units: '%'
          params: '(last(//host.memory.used)/last(//host.memory.total[memTotalReal.0]))*100'
          description: 'Memory utilization in %.'
          tags:
            - tag: component
              value: memory
          triggers:
            - uuid: c181a3c3358f49b9a69809d0577c908c
              expression: 'min(/Stormshield SNS by SNMP/host.memory.utilization,5m)>{$MEMORY.UTIL.MAX}'
              name: 'SNS: High memory utilization'
              event_name: 'SNS: High memory utilization (>{$MEMORY.UTIL.MAX}% for 5m)'
              priority: AVERAGE
              description: 'The system is running out of free memory.'
              tags:
                - tag: scope
                  value: capacity
                - tag: scope
                  value: performance
        - uuid: 9d44536d9e58477fa74281e3eecbfaba
          name: 'Memory utilization /data'
          type: CALCULATED
          key: host.memory.utilization_data
          units: '%'
          params: '(last(//host.storage.used[hrStorageUseddata.{#SNMPINDEX}])/last(//host.storage.size[hrStorageSizedata.{#SNMPINDEX}]))*100'
          description: 'Memory utilization in % for /data.'
          tags:
            - tag: component
              value: memory
          triggers:
            - uuid: aaeed73388bc4edca2693ee9eeab69e7
              expression: 'min(/Stormshield SNS by SNMP/host.memory.utilization_data,5m)>{$MEMORY.UTIL.MAX}'
              name: 'SNS: High memory utilization for /data'
              event_name: 'SNSha: High memory utilization (>{$MEMORY.UTIL.MAX}% for 5m)'
              priority: AVERAGE
              description: 'The data file is running out of free memory.'
              tags:
                - tag: scope
                  value: capacity
                - tag: scope
                  value: performance
        - uuid: 4f4dc4770c214007b8c7b46bdada8713
          name: 'Memory utilization /log'
          type: CALCULATED
          key: host.memory.utilization_log
          units: '%'
          params: '(last(//host.storage.used[hrStorageUsedlog.{#SNMPINDEX}])/last(//host.storage.size[hrStorageSizelog.{#SNMPINDEX}]))*100'
          description: 'Memory utilization in % for /log.'
          tags:
            - tag: component
              value: memory
          triggers:
            - uuid: 2e9efc238b3c4288b97a22e7d36e68ce
              expression: 'min(/Stormshield SNS by SNMP/host.memory.utilization_log,5m)>{$MEMORY.UTIL.MAX}'
              name: 'SNS: High memory utilization for /log'
              event_name: 'SNSha: High memory utilization (>{$MEMORY.UTIL.MAX}% for 5m)'
              priority: AVERAGE
              description: 'The log file is running out of free memory.'
              tags:
                - tag: scope
                  value: capacity
                - tag: scope
                  value: performance
        - uuid: 7d8ad3b9af844de4bbdaf344bb89fb90
          name: 'Memory in /data'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.2.1.25.2.3.1.5.33
          key: 'host.storage.size[hrStorageSizedata.{#SNMPINDEX}]'
          value_type: FLOAT
          units: B
          description: |
            MIB : HOST-RESOURCES-MIB
            Total memory in the data file in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '4096'
          tags:
            - tag: component
              value: storage
        - uuid: 0d793857d92c453cb79718500437ed61
          name: 'Memory in /log'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.2.1.25.2.3.1.5.35
          key: 'host.storage.size[hrStorageSizelog.{#SNMPINDEX}]'
          value_type: FLOAT
          units: B
          description: |
            MIB : HOST-RESOURCES-MIB
            Total memory in the log file in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '4096'
          tags:
            - tag: component
              value: storage
        - uuid: 740d455cd2f249d29cd3423c59242c91
          name: 'Used memory in /data'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.2.1.25.2.3.1.6.33
          key: 'host.storage.used[hrStorageUseddata.{#SNMPINDEX}]'
          value_type: FLOAT
          units: B
          description: |
            MIB : HOST-RESOURCES-MIB
            Used memory in the data file in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '4096'
          tags:
            - tag: component
              value: storage
        - uuid: 4016b90b36b54ea0818601e3ea2f17c6
          name: 'Used memory in /log'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.2.1.25.2.3.1.6.35
          key: 'host.storage.used[hrStorageUsedlog.{#SNMPINDEX}]'
          value_type: FLOAT
          units: B
          description: |
            MIB : HOST-RESOURCES-MIB
            Used memory in the log file in bytes.
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '4096'
          tags:
            - tag: component
              value: storage
        - uuid: 128a834c04e44181acf98b8a31d58bcd
          name: 'ICMP ping'
          type: SIMPLE
          key: icmpping
          description: |
            Host accessibility by ICMP.
            0 - ICMP ping failed.
            1 - ICMP ping successful.
          tags:
            - tag: component
              value: health
            - tag: component
              value: network
          triggers:
            - uuid: c7e0fa0af7b6483d89b4ccb9d190adac
              expression: 'max(/Stormshield SNS by SNMP/icmpping,#3)=0'
              name: 'SNS: Unavailable by ICMP ping'
              priority: HIGH
              description: 'Last three attempts returned timeout. Please check device connectivity.'
              tags:
                - tag: scope
                  value: availability
        - uuid: 9e369437422e47f2bc9c496ac8293705
          name: 'ICMP loss'
          type: SIMPLE
          key: icmppingloss
          value_type: FLOAT
          units: '%'
          description: 'Percentage of lost packets.'
          tags:
            - tag: component
              value: health
            - tag: component
              value: network
          triggers:
            - uuid: 9d7f6fd3bfc2445186322444d07f817c
              expression: 'min(/Stormshield SNS by SNMP/icmppingloss,5m)>{$ICMP_LOSS_WARN} and min(/Stormshield SNS by SNMP/icmppingloss,5m)<100'
              name: 'SNS: High ICMP ping loss'
              priority: WARNING
              description: 'ICMP ping loss detected.'
              dependencies:
                - name: 'SNS: Unavailable by ICMP ping'
                  expression: 'max(/Stormshield SNS by SNMP/icmpping,#3)=0'
              tags:
                - tag: scope
                  value: availability
                - tag: scope
                  value: performance
        - uuid: a94bda662cd54a15a50016a44e914658
          name: 'ICMP response time'
          type: SIMPLE
          key: icmppingsec
          value_type: FLOAT
          units: s
          description: 'ICMP ping response time (in seconds).'
          tags:
            - tag: component
              value: health
            - tag: component
              value: network
          triggers:
            - uuid: 7dbb12877769421f87c808713f076fd6
              expression: 'avg(/Stormshield SNS by SNMP/icmppingsec,5m)>{$ICMP_RESPONSE_TIME_WARN}'
              name: 'SNS: High ICMP ping response time'
              priority: WARNING
              description: 'Average ICMP response time is too high.'
              dependencies:
                - name: 'SNS: High ICMP ping loss'
                  expression: 'min(/Stormshield SNS by SNMP/icmppingloss,5m)>{$ICMP_LOSS_WARN} and min(/Stormshield SNS by SNMP/icmppingloss,5m)<100'
                - name: 'SNS: Unavailable by ICMP ping'
                  expression: 'max(/Stormshield SNS by SNMP/icmpping,#3)=0'
              tags:
                - tag: scope
                  value: availability
                - tag: scope
                  value: performance
        - uuid: c86cf0814c7649c4b90c59acb61adea7
          name: 'VPN : Number of incoming policies'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.13.1.1.0
          key: 'ipsec.policies.in[snsIPSECStatsSPDIn.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-IPSEC-STATS-MIB
            Number of incoming security policies
          tags:
            - tag: component
              value: policy
        - uuid: cb7cada92d794db28093e928ccc0386d
          name: 'VPN : Number of outgoing policies'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.13.1.2.0
          key: 'ipsec.policies.out[snsIPSECStatsSPDOut.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-IPSEC-STATS-MIB
            Number of outgoing security policies
          tags:
            - tag: component
              value: policy
        - uuid: 703b0322c6bf4ca999eecd58d3bf235e
          name: 'SNMP walk network'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.4.1.1]'
          key: network.interface.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering network interfaces from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: 286bc590e3c843899d7ef0d3eb0a2a2e
          name: 'Active IPsec policy name'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.8.1.1.3.2
          key: 'policy.ipsec[snsPolicySlotNameIPsec]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-POLICY-MIB
            Active IPsec policy name
          tags:
            - tag: component
              value: policy
        - uuid: 7f2e7d13c49441439440e1e7ebe9b789
          name: 'Active filtering policy name'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.8.1.1.3.1
          key: 'policy.slotname[snsPolicySlotName]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-POLICY-MIB
            Active filtering policy name
          tags:
            - tag: component
              value: policy
        - uuid: 1127a56c9e20401aae6fbbc894790eb8
          name: Model
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.0.1.0
          key: 'property.hardware.model[snsModel.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-PROPERTY-MIB
            Firewall model
          tags:
            - tag: component
              value: hardware
        - uuid: f93e2a5f82544c90ad95de0348caf694
          name: 'System Name'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.18.4.0
          key: 'property.hardware.name[snsSystemName.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-PROPERTY-MIB
            Stormshield Firewall system Name
          tags:
            - tag: component
              value: hardware
          triggers:
            - uuid: 8ecf1667aca04a448e775a8f0cd1acda
              expression: 'last(/Stormshield SNS by SNMP/property.hardware.name[snsSystemName.0],#1)<>last(/Stormshield SNS by SNMP/property.hardware.name[snsSystemName.0],#2) and length(last(/Stormshield SNS by SNMP/property.hardware.name[snsSystemName.0]))>0'
              name: 'SNS: System name has changed'
              event_name: 'SNS: System name has changed (new name: {ITEM.VALUE})'
              priority: INFO
              description: 'The name of the system has changed. Acknowledge to close the problem manually.'
              tags:
                - tag: scope
                  value: notice
                - tag: scope
                  value: security
        - uuid: 471625cd747d495ca0b6c66ea3ebee5d
          name: 'System Node Name'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.18.16.0
          key: 'property.hardware.node_name[snsSystemNodeName.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-PROPERTY-MIB
            Firewall System Node Name
          tags:
            - tag: component
              value: hardware
        - uuid: af9c5e47bc3147869845b864a577c4d9
          name: 'Serial Number'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.0.3.0
          key: 'property.hardware.serial[snsSerialNumber.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-PROPERTY-MIB
            Stormshield Firewall serial number
          tags:
            - tag: component
              value: hardware
          triggers:
            - uuid: ee81064b5f49480e81b3fca099767b56
              expression: 'last(/Stormshield SNS by SNMP/property.hardware.serial[snsSerialNumber.0],#1)<>last(/Stormshield SNS by SNMP/property.hardware.serial[snsSerialNumber.0],#2) and length(last(/Stormshield SNS by SNMP/property.hardware.serial[snsSerialNumber.0]))>0'
              name: 'SNS: Device has been replaced'
              event_name: 'SNS: Device has been replaced (new serial number received)'
              priority: INFO
              description: 'Device serial number has changed. Acknowledge to close the problem manually.'
              tags:
                - tag: scope
                  value: notice
        - uuid: 6071bd6af2494c00ab5b045226db6774
          name: Version
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.0.2.0
          key: 'property.hardware.version[snsVersion.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : MIB : STORMSHIELD-PROPERTY-MIB
            Stormshield Firewall version
          tags:
            - tag: component
              value: hardware
        - uuid: 94a3c563361646f08030ae77fbc672e5
          name: 'SNMP traps (fallback)'
          type: SNMP_TRAP
          key: snmptrap.fallback
          delay: '0'
          value_type: LOG
          trends: '0'
          description: 'Used for collecting all SNMP traps unmatched by other `snmptrap` items.'
          tags:
            - tag: component
              value: network
        - uuid: 42ed13a06bf7449aa4e543e7ecbc08e5
          name: Date
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.1.0
          key: 'system.date[snsDate.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Stormshield Firewall current date (%Y-%m-%d %T)
          tags:
            - tag: component
              value: system
        - uuid: 1c3fefc684b14ee7b58dcf9d107e9f83
          name: 'SNMP walk disk'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.10.5.1]'
          key: system.disk.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering disks from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: 62382c9cf1e24f1eb3e5505b1609f7e1
          name: 'SNMP walk fan'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.10.9.1]'
          key: system.fan.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering fans from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: 4342e3a2f1364585bcc06ee6e952b2e6
          name: Uptime
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.2.0
          key: 'system.hardware.uptime[snsUptime.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Stormshield firewall uptime in day:hour:min:sec
          tags:
            - tag: component
              value: hardware
        - uuid: e693899db5324f74b889fb2371fe9aea
          name: 'Uptime in seconds'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.2.0
          key: 'system.hardware.uptime_sec[snsUptime.0]'
          value_type: FLOAT
          trends: '0'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Stormshield firewall uptime in seconds
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - |
                  function toTimestamp(value) {
                      var parts = value.split(":");
                  
                      var d = parseInt(parts[0], 10);
                      var h = parseInt(parts[1], 10);
                      var mi = parseInt(parts[2], 10);
                      var s = parseInt(parts[3], 10);
                  
                      if ([d, h, mi, s].some(isNaN)) return 0;
                  
                      return (d*86400+h*3600+mi*60+s);
                  }
                  
                  return toTimestamp(value);
          tags:
            - tag: component
              value: hardware
          triggers:
            - uuid: 41bfd12728734d3c99a829d580c4a2fb
              expression: 'last(/Stormshield SNS by SNMP/system.hardware.uptime_sec[snsUptime.0])<10m'
              name: 'SNS: Device has been restarted'
              event_name: 'SNS: {HOST.NAME} has been restarted (uptime < 10m)'
              priority: INFO
              description: 'Uptime is less than 10 minutes.'
              tags:
                - tag: scope
                  value: notice
        - uuid: 36dcb5d8486a4724a184f38650580a5d
          name: 'ASQ connections memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.5.0
          key: 'system.memory.conn[snsMemConn.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Utilization percentage of ASQ connection memory 
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: e28fa904ee8f43c0b5c2a1e6b9eaaa19
          name: 'Data tracking memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.7.0
          key: 'system.memory.data_track[snsMemDataTrack.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Utilization percentage of data tracking memory 
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: fa18116f9a31412c970695a80d6c2c8d
          name: 'Etherstate connections memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.6.0
          key: 'system.memory.ether[snsMemEther.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Utilization percentage of etherstate connection memory 
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: 5ee3d6f5b254475489ee2ffb894ab192
          name: 'Fragment memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.3.0
          key: 'system.memory.frag[snsMemFrag.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Fragment memory utilization percentage
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: a0bd5484112e4a7fa909e5ebca8a6319
          name: 'Protected Host memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.2.0
          key: 'system.memory.host[snsMemHost.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Protected Host memory utilization percentage
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: 25164d238cf845198af211928e3a6e16
          name: 'ICMP memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.4.0
          key: 'system.memory.icmp[snsMemIcmp.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            ICMP memory utilization percentage
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: 25f04bb5ef1f4d5f8661675fc5a09d98
          name: 'Socket memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.10.0
          key: 'system.memory.mbuf[snsMemMbuf.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Socket memory utilization percentage
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: cd9945c5b32b40ba9f5082133d9eb862
          name: 'System memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.8.0
          key: 'system.memory.system[snsMemSystem.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            Current memory utilization percentage
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: c92c6252164748fba82fe9cc286a1b57
          name: 'User memory'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.10.10.1.9.0
          key: 'system.memory.user[snsMemUser.0]'
          units: '%'
          description: |
            MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
            User-space memory utilization percentage
            
            Warning : This OID might not be functionnal for SNS versions lower than 5.0
          tags:
            - tag: component
              value: memory
        - uuid: da630749bf7047889d827f8380fc3123
          name: 'SNMP walk power supply'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.3.6.1.4.1.11256.1.10.6.1]'
          key: system.power.walk
          value_type: CHAR
          trends: '0'
          description: 'Used for discovering the power supply from the Stormshield MIB'
          tags:
            - tag: component
              value: raw
        - uuid: 850ffe60d0414ebcb1d03e8a9902d421
          name: 'VPN : Number of dead vpn tunnels'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.13.2.4.0
          key: 'vpn.tunnel.dead[snsIPSECStatsSADDead.0]'
          description: |
            MIB : STORMSHIELD-IPSEC-STATS-MIB
            Number of dead security associations
          tags:
            - tag: component
              value: vpn
        - uuid: 56b3e95252c74e39879f34ed65053532
          name: 'VPN : Number of dying vpn tunnels'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.13.2.3.0
          key: 'vpn.tunnel.dying[snsIPSECStatsSADDying.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-IPSEC-STATS-MIB
            Number of security associations at end of life
          tags:
            - tag: component
              value: vpn
        - uuid: aea9866308de4fd49cae64e6ae9cfe88
          name: 'VPN : Number of mature vpn tunnels'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.11256.1.13.2.2.0
          key: 'vpn.tunnel.mature[snsIPSECStatsSADMature.0]'
          value_type: CHAR
          trends: '0'
          description: |
            MIB : STORMSHIELD-IPSEC-STATS-MIB
            Number of established security associations
          tags:
            - tag: component
              value: vpn
        - uuid: bdb026bb96dd4861acb6ad04cb26dee8
          name: 'SNMP agent availability'
          type: INTERNAL
          key: 'zabbix[host,snmp,available]'
          description: |
            Availability of SNMP checks on the host. The value of this item corresponds to availability icons in the host list.
            Possible values:
            0 - not available
            1 - available
            2 - unknown
          tags:
            - tag: component
              value: health
            - tag: component
              value: network
          triggers:
            - uuid: 4d9f17c806e846b0bec86a771f2cf2a5
              expression: 'max(/Stormshield SNS by SNMP/zabbix[host,snmp,available],{$SNMP.TIMEOUT})=0'
              name: 'SNS: No SNMP data collection'
              priority: WARNING
              description: 'SNMP is not available for polling. Please check device connectivity and SNMP settings.'
              dependencies:
                - name: 'SNS: Unavailable by ICMP ping'
                  expression: 'max(/Stormshield SNS by SNMP/icmpping,#3)=0'
              tags:
                - tag: scope
                  value: availability
      discovery_rules:
        - uuid: f4c84023a7d54679ac83016002b2ca05
          name: 'Auto-update discovery'
          type: DEPENDENT
          key: auto-update.discovery
          delay: '0'
          description: 'Used for discovering updates from the Stormshield MIB'
          item_prototypes:
            - uuid: f115a22566be400cb517eb6a5daef83d
              name: 'Auto-update {#UPDATE.NAME} : Last update date'
              type: DEPENDENT
              key: 'system.update.last[snsAutoupdateLast.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-AUTOUPDATE-MIB
                Date of the last update of a subsystem
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.9.1.1.4.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: auto-update.walk
              tags:
                - tag: component
                  value: system
            - uuid: c0605a7ac3a44545b54636c4e1cdc5d1
              name: 'Auto-update {#UPDATE.NAME} : Update state'
              type: DEPENDENT
              key: 'system.update.state[snsAutoupdateState.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-AUTOUPDATE-MIB
                State of the update of a subsystem
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.9.1.1.3.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: auto-update.walk
              tags:
                - tag: component
                  value: system
              trigger_prototypes:
                - uuid: 72667510b747423099111e0a56f1eb10
                  expression: '(find(/Stormshield SNS by SNMP/system.update.state[snsAutoupdateState.{#SNMPINDEX}],,"like","Failed")=1) or (find(/Stormshield SNS by SNMP/system.update.state[snsAutoupdateState.{#SNMPINDEX}],,"like","Broken")=1)'
                  name: 'SNS: Auto-update {#UPDATE.NAME} not up to date'
                  event_name: 'SNS: Auto-update not up to date'
                  priority: INFO
                  description: 'The auto-update is not up to date (never started or more than a year ago).'
                  tags:
                    - tag: scope
                      value: notice
          master_item:
            key: auto-update.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#UPDATE.ID}'
                - 1.3.6.1.4.1.11256.1.9.1.1.1
                - '0'
                - '{#UPDATE.NAME}'
                - 1.3.6.1.4.1.11256.1.9.1.1.2
                - '0'
        - uuid: d59a61a188324f10bed21908957ff626
          name: 'CPU temperature discovery'
          type: DEPENDENT
          key: CPU.temperature.discovery
          delay: '0'
          description: 'Used for discovering the CPU temperature from the Stormshield MIB'
          item_prototypes:
            - uuid: 270dd54c65644c22b14514f0d557d3e0
              name: 'CPU {#CPU.ID}: temperature'
              type: DEPENDENT
              key: 'system.cpu.temperature[snsCpuTemp.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              units: °C
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Temperature in degrees Celsius
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.7.1.2.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: cpu.temperature.walk
              tags:
                - tag: component
                  value: CPU
          graph_prototypes:
            - uuid: 3a69632a91e1462cb9fa8fb521f738f6
              name: 'CPU {#CPU.ID}: Temperature in degree celsius'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'system.cpu.temperature[snsCpuTemp.{#SNMPINDEX}]'
          master_item:
            key: cpu.temperature.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#CPU.ID}'
                - 1.3.6.1.4.1.11256.1.10.7.1.1
                - '0'
        - uuid: f4d18e69685b4b3e8b0b3de888bf90e1
          name: 'CPU usage discovery'
          type: DEPENDENT
          key: CPU.usage.discovery
          delay: '0'
          description: 'Used for discovering the CPU usage from the Stormshield MIB'
          item_prototypes:
            - uuid: af7a7ae7fa9d40cea8b1949d72b87eb5
              name: 'CPU {#SNMPINDEX}: usage'
              type: DEPENDENT
              key: 'system.cpu.usage[hrProcessorLoad.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              units: '%'
              description: |
                MIB : HOST-RESOURCES-MIB
                the average percentage of time that this processor
                was not idle over the last minute.
                Implementations may approximate this one minute
                smoothing period if necessary.
                Note that cpu 196608 = cpu 0, 196609 = 1, ...
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.2.1.25.3.3.1.2.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: cpu.usage.walk
              tags:
                - tag: component
                  value: CPU
              trigger_prototypes:
                - uuid: a608bde0101e4dd7bf198b842c188a3b
                  expression: 'min(/Stormshield SNS by SNMP/system.cpu.usage[hrProcessorLoad.{#SNMPINDEX}],5m)>{$CPU.UTIL.CRIT}'
                  name: 'SNS: CPU {#SNMPINDEX}: CPU utilization too high'
                  event_name: 'SNS: CPU utilization too high (over {$CPU.UTIL.CRIT}% for 5m)'
                  opdata: 'Current utilization: {ITEM.LASTVALUE1}'
                  priority: HIGH
                  description: 'The CPU utilization is too high. The system might be slow to respond.'
                  tags:
                    - tag: scope
                      value: availability
                - uuid: 64d1b6d817e74b5eafe4f08c856af9d9
                  expression: 'min(/Stormshield SNS by SNMP/system.cpu.usage[hrProcessorLoad.{#SNMPINDEX}],5m)>{$CPU.UTIL.WARN}'
                  name: 'SNS: CPU {#SNMPINDEX}: High CPU utilization'
                  event_name: 'SNS: High CPU utilization (over {$CPU.UTIL.WARN}% for 5m)'
                  priority: WARNING
                  description: 'The CPU utilization is high. The system might be slow to respond.'
                  dependencies:
                    - name: 'SNS: CPU {#SNMPINDEX}: CPU utilization too high'
                      expression: 'min(/Stormshield SNS by SNMP/system.cpu.usage[hrProcessorLoad.{#SNMPINDEX}],5m)>{$CPU.UTIL.CRIT}'
                  tags:
                    - tag: scope
                      value: availability
          graph_prototypes:
            - uuid: e7f98968e9ae4064ad18bfd3b56df845
              name: 'CPU {#SNMPINDEX}: Usage in %'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'system.cpu.usage[hrProcessorLoad.{#SNMPINDEX}]'
          master_item:
            key: cpu.usage.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#CPU.ID}'
                - 1.3.6.1.2.1.25.3.3.1.1
                - '0'
        - uuid: d4adf4e0459e4f76919ec077a6831d7a
          name: 'Disk discovery'
          type: DEPENDENT
          key: disk.discovery
          delay: '0'
          description: 'Used for discovering disks from the Stormshield MIB'
          item_prototypes:
            - uuid: 0c41c870cb7c4f30b63c85d35cc2d790
              name: 'Disk {#DISK.ID} : Disk name'
              type: DEPENDENT
              key: 'system.disk.name[snsDiskEntryDiskName.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Name of the disk
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.5.1.2.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.disk.walk
              tags:
                - tag: component
                  value: system
            - uuid: df8a880600a44ac085b108fde138375d
              name: 'Disk {#DISK.ID} : member of a RAID array ?'
              type: DEPENDENT
              key: 'system.disk.RAID[snsDiskEntryIsRaid.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Is the disk a member of a RAID array ?
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.5.1.4.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.disk.walk
              tags:
                - tag: component
                  value: system
            - uuid: c36bba7b9339426cb0aae39450c18756
              name: 'Disk {#DISK.ID} : Result smart info test'
              type: DEPENDENT
              key: 'system.disk.result[snsDiskEntrySmartResult.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Result of the smart info tests
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.5.1.3.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.disk.walk
              tags:
                - tag: component
                  value: system
            - uuid: 6161f7d351de465e86ef9a67e05ed6c9
              name: 'Disk {#DISK.ID} : RAID Status'
              type: DEPENDENT
              key: 'system.disk.status[snsDiskEntryRaidStatus.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                RAID Status
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.5.1.5.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.disk.walk
              tags:
                - tag: component
                  value: system
          master_item:
            key: system.disk.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#DISK.ID}'
                - 1.3.6.1.4.1.11256.1.10.5.1.1
                - '0'
        - uuid: 4e5ceb7f8bad4749a9e9f923000ce567
          name: 'Fan discovery'
          type: DEPENDENT
          key: fan.discovery
          delay: '0'
          description: 'Used for discovering the fan from the Stormshield MIB'
          item_prototypes:
            - uuid: 466c4bfe396c459db04b4f252404bc3e
              name: 'FAN {#FAN.ID}: Fan name'
              type: DEPENDENT
              key: 'system.fan.name[snsFanName.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Name of the Fan
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.9.1.2.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.fan.walk
              tags:
                - tag: component
                  value: system
            - uuid: 43e1370df39f4efa98ac083e9a4c18c5
              name: 'FAN {#FAN.ID}: Speed of the Fan'
              type: DEPENDENT
              key: 'system.fan.speed[snsFanRpm.{#SNMPINDEX}]'
              delay: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Speed of the Fan
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.9.1.4.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.fan.walk
              tags:
                - tag: component
                  value: system
            - uuid: a820adf79f55467f8928c5d515d1a746
              name: 'FAN {#FAN.ID}: Fan status'
              type: DEPENDENT
              key: 'system.fan.status[snsFanStatus.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Status of the Fan
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.9.1.3.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.fan.walk
              tags:
                - tag: component
                  value: system
          master_item:
            key: system.fan.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#FAN.ID}'
                - 1.3.6.1.4.1.11256.1.10.9.1.1
                - '0'
        - uuid: 5eade7f29ccd4f94bedfad1bdc70fedc
          name: 'HA members discovery'
          type: DEPENDENT
          key: HAmembers.discovery
          delay: '0'
          description: 'Used for discovering HA members from the Stormshield MIB'
          item_prototypes:
            - uuid: 3eaef6d5b45546ab8507efe2e79f00ba
              name: 'HA members {#HA.ID} : Firewall active/passive'
              type: DEPENDENT
              key: 'ha.active[snsHAActive.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                Is the firewall active ?
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.10.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: ce3396452036410a9697a277bfe27839
              name: 'HA members {#HA.ID} : HA Licence'
              type: DEPENDENT
              key: 'ha.license[snsHALicence.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                HA Licence
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.6.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: febfb2c320dd4667ba354f552c8c15e0
              name: 'HA members {#HA.ID} : Firewall model'
              type: DEPENDENT
              key: 'ha.model[snsModel.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                Firewall model
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.4.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: 735445efe5e9498f9d30e8677e1980c5
              name: 'HA members {#HA.ID} : online'
              type: DEPENDENT
              key: 'ha.online[snsOnline.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                Firewall is online
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.3.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: a9c17ffe8c2e45969b0b295891c36e94
              name: 'HA members {#HA.ID} : HA Priority'
              type: DEPENDENT
              key: 'ha.priority[snsHAPriority.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                HA Priority
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.8.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: 9ef3c6c9fecf485aa8a0aec8d6468da3
              name: 'HA members {#HA.ID} : HA Quality'
              type: DEPENDENT
              key: 'ha.quality[snsHAQuality.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                HA Quality
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.7.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: 75beb91e360f4b8ca81ece25b28bb873
              name: 'HA members {#HA.ID} : Firewall serial'
              type: DEPENDENT
              key: 'ha.serial[snsFwSerial.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                Firewall serial
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.2.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: e3c06582e1f14d1fbfc750e6a12edb01
              name: 'HA members {#HA.ID} : Firewall status'
              type: DEPENDENT
              key: 'ha.status[snsHAStatusForced.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                HA status forced (-2 : Unknown forced status,
                         -1 : No peer found, 0 : No forced status,
                         1 : Forced active, 2 : Forced passive)
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.9.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
            - uuid: 93a744899bbd4474bf0369372a72fed9
              name: 'HA members {#HA.ID} : Firewall uptime'
              type: DEPENDENT
              key: 'ha.uptime[snsHAUptime.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-HA-MIB
                Firewall uptime
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.11.7.1.11.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: ha.members.walk
              tags:
                - tag: component
                  value: ha
          master_item:
            key: ha.members.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#HA.ID}'
                - 1.3.6.1.4.1.11256.1.11.7.1.1
                - '0'
        - uuid: 8ccb08a1eb3d42ac896d9d2a91d5cd16
          name: 'Health status discovery'
          type: DEPENDENT
          key: Health.discovery
          delay: '0'
          description: 'Used for discovering the Health status from the Stormshield MIB'
          item_prototypes:
            - uuid: af93c7d60b3b45dbb53caa360854ff7f
              name: 'Health status Firewall {#HEALTH.ID} : certificates'
              type: DEPENDENT
              key: 'health.certificates.status[snsCertHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Stormshield Firewall certificates current health status
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.11.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
            - uuid: e27306238ae74769af9a5afa28350875
              name: 'Health status Firewall {#HEALTH.ID} : CPU'
              type: DEPENDENT
              key: 'health.cpu.status[snsCpuHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall CPU
                      - 'Good' if CPU load <= 90%
                      - 'Minor' if CPU load > 90% during a time lower than 5 minutes
                      - 'Major' if CPU load > 90% during a time higher than 5 minutes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.7.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
            - uuid: e46c1e7986be466192036ca21f8cb6f8
              name: 'Health status Firewall {#HEALTH.ID} : CPU temperature'
              type: DEPENDENT
              key: 'health.cpu.temperature[snsCpuTempHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall CPU temperature
                      - 'Good' if CPU temperature is at least 20°C below max temperature
                      - 'Minor' if CPU temperature is 20°C, or less, below max temperature
                      - 'Major' if CPU temperature is 5°C below max temperature
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.15.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
              trigger_prototypes:
                - uuid: b48918a1196f4fc0b07faec6d1b24e8a
                  expression: 'find(/Stormshield SNS by SNMP/health.cpu.temperature[snsCpuTempHealth.{#SNMPINDEX}],,"like","Major")=1'
                  name: 'SNS: Health status Firewall {#HEALTH.ID}: The CPU is overheating'
                  event_name: 'SNS: The CPU is overheating'
                  priority: HIGH
                  description: 'The CPU does not work correctly and has raised an alarm'
                  tags:
                    - tag: scope
                      value: availability
            - uuid: 1f250943f35d4c6d804cae2ad32a91db
              name: 'Health status Firewall {#HEALTH.ID} : CRLs'
              type: DEPENDENT
              key: 'health.CRLs.status[snsCRLHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield firewall CRLs
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.12.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
            - uuid: 2a8f60c06c37427c940c2fe84a1c2200
              name: 'Health status Firewall {#HEALTH.ID} : disk'
              type: DEPENDENT
              key: 'health.disk.status[snsDiskHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall disk
                      - 'Good' if the disks works correctly
                      - 'Minor' if the disks does not work correctly
                      - 'Major' if the disks does not work correctly and has raised an alarm
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.9.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
              trigger_prototypes:
                - uuid: 899ce1650ef4425e94276371ce458082
                  expression: 'find(/Stormshield SNS by SNMP/health.disk.status[snsDiskHealth.{#SNMPINDEX}],,"like","Major")=1'
                  name: 'SNS: Health status Firewall {#HEALTH.ID}: The disk is not working correctly'
                  event_name: 'SNS: The disk is not working correctly'
                  priority: HIGH
                  description: 'The disks does not work correctly and has raised an alarm'
                  tags:
                    - tag: scope
                      value: availability
            - uuid: f5a3f9a5aa2b44289e9047cd8fbd3b20
              name: 'Health status Firewall {#HEALTH.ID} : fans'
              type: DEPENDENT
              key: 'health.fan.status[snsFanHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall fans
                      - 'Good' if the fans work correctly
                      - 'Minor' if the fans do not work correctly
                      - 'Major' if the fans do not work correctly and have raised an alarm
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.6.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
              trigger_prototypes:
                - uuid: c418f024e4d6408db969e8f12c99708d
                  expression: 'find(/Stormshield SNS by SNMP/health.fan.status[snsFanHealth.{#SNMPINDEX}],,"like","Major")=1'
                  name: 'SNS: Health status Firewall {#HEALTH.ID}: The fan is not working correctly'
                  event_name: 'SNS: The fan is not working correctly'
                  priority: AVERAGE
                  description: 'The fans do not work correctly and have raised an alarm'
                  tags:
                    - tag: scope
                      value: availability
            - uuid: fc239bdeb6dc4ace9e0d41edb288c2dd
              name: 'Health status Firewall {#HEALTH.ID} : HA link'
              type: DEPENDENT
              key: 'health.ha_link.status[snsHaLinkHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall HA link
                      - 'Good' if the HA link works correctly
                      - 'Minor' if the HA link does not work correctly (may be down)
                      - 'Major' if the HA link does not work (down)
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.4.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
              trigger_prototypes:
                - uuid: 95046d425fe24c7999c5d9cf1e39e87e
                  expression: 'find(/Stormshield SNS by SNMP/health.ha_link.status[snsHaLinkHealth.{#SNMPINDEX}],,"like","Major")=1'
                  name: 'SNS: Health status Firewall {#HEALTH.ID}: HA link is down'
                  event_name: 'SNS: HA link is down'
                  priority: HIGH
                  description: 'The HA link does not work (down)'
                  tags:
                    - tag: scope
                      value: availability
            - uuid: 8710054ded834edc89ead03a651f60f5
              name: 'Health status Firewall {#HEALTH.ID} : HA Mode'
              type: DEPENDENT
              key: 'health.ha_mode.status[snsHaModeHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current status of Stormshield Firewall HA mode
                      - 'None' if HA is not active
                      - 'Active' if the firewall is the active one
                      - 'Passive' if the firewall is the passive one
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.3.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
            - uuid: ef974bdb3504499c91a415070d922536
              name: 'Health status Firewall {#HEALTH.ID} : memory'
              type: DEPENDENT
              key: 'health.memory.status[snsMemHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall memory
                      - 'Good' if memory load <= 80%
                      - 'Minor' if memory load > 80% during a time lower than 15 minutes
                      - 'Major' if memory load > 80% during a time higher than 15 minutes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.8.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
            - uuid: 5c15d661240f4b2aa2483b8bad6b5744
              name: 'Health status Firewall {#HEALTH.ID} : Admin Password'
              type: DEPENDENT
              key: 'health.password.status[snsPasswdHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall Admin Password
                      - 'Good' if the date on which the admin password was last changed is less than a year ago
                      - 'Minor' if the date on which the admin password was last changed is more than a year ago
                      - 'Major' if the admin password is the default password
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.14.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
              trigger_prototypes:
                - uuid: 930d5ebda56c44a1af574309d655b930
                  expression: 'find(/Stormshield SNS by SNMP/health.password.status[snsPasswdHealth.{#SNMPINDEX}],,"like","Major")=1'
                  name: 'SNS: Health status Firewall {#HEALTH.ID}: Admin password is not secured'
                  event_name: 'SNS: Admin password is not secured'
                  priority: HIGH
                  description: 'The admin password is the default password, please change it.'
                  tags:
                    - tag: scope
                      value: notice
            - uuid: b040da9efda2447fa37a0c06c182ebfc
              name: 'Health status Firewall {#HEALTH.ID} : power supply'
              type: DEPENDENT
              key: 'health.power.status[snsPowerSupplyHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall power supply
                      - 'Good' if the power supply works correctly
                      - 'Minor' if the power supply does not work correctly
                      - 'Major' if the power supply does not work correctly and has raised an alarm
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.5.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
              trigger_prototypes:
                - uuid: dd1717bc446a405bb0dfa7bf39a3de3e
                  expression: 'find(/Stormshield SNS by SNMP/health.power.status[snsPowerSupplyHealth.{#SNMPINDEX}],,"like","Major")=1'
                  name: 'SNS: Health status Firewall {#HEALTH.ID}: The power supply is not working correctly'
                  event_name: 'SNS: The power supply is not working correctly'
                  priority: HIGH
                  description: 'The power supply does not work correctly and has raised an alarm.'
                  tags:
                    - tag: scope
                      value: availability
            - uuid: 32baedbeb01041f9887025573dac4ebe
              name: 'Health status Firewall {#HEALTH.ID} : RAID'
              type: DEPENDENT
              key: 'health.RAID.status[snsRaidHealth.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-HEALTH-MONITOR-MIB
                Current health status of Stormshield Firewall raid
                      - 'Good' if the raid works in optimal mode
                      - 'Minor' if the raid does not work in optimal mode
                      - 'Major' if the raid does not work in optimal mode and has raised an alarm
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.16.2.1.10.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: health.walk
              tags:
                - tag: component
                  value: health
              trigger_prototypes:
                - uuid: 433cc005356a43ffbc142a323e99bc50
                  expression: 'find(/Stormshield SNS by SNMP/health.RAID.status[snsRaidHealth.{#SNMPINDEX}],,"like","Major")=1'
                  name: 'SNS: Health status Firewall {#HEALTH.ID}: The RAID is not working correctly'
                  event_name: 'SNS: The RAID is not working correctly'
                  priority: AVERAGE
                  description: 'The raid does not work in optimal mode and has raised an alarm'
                  tags:
                    - tag: scope
                      value: availability
          master_item:
            key: health.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#HEALTH.ID}'
                - 1.3.6.1.4.1.11256.1.16.2.1.1
                - '0'
        - uuid: db47d45c51bf4b7d8fc4c77fc50b0f09
          name: 'Network interface discovery'
          type: DEPENDENT
          key: network.discovery
          delay: '0'
          filter:
            conditions:
              - macro: '{#IF.NAME}'
                value: '{$NET.IF.IFNAME.NOT_MATCHES}'
                operator: NOT_MATCHES_REGEX
                formulaid: A
          description: 'Used for discovering the Health status from the Stormshield MIB'
          item_prototypes:
            - uuid: 00d1ebfd3e4845189ac9fca04a545d1f
              name: 'Network interface {#IF.NAME}: Accepted packets'
              type: DEPENDENT
              key: 'network.if.accepted[snsifPktAccepted.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Number of accepted packets
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.11.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 4f3fd48fd1664c17981dc39f06533dea
              name: "Network interface {#IF.NAME}:\_Blocked packets"
              type: DEPENDENT
              key: 'network.if.blocked[snsifPktBlocked.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Number of packets that have been blocked
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.12.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 6cfa15090f3943349e949819c77f8374
              name: "Network interface {#IF.NAME}:\_TCP connection established"
              type: DEPENDENT
              key: 'network.if.established[snsifTcpConn.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                TCP connection established
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.21.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: bcd1bc8225a143a795a808d3b50deabf
              name: "Network interface {#IF.NAME}:\_UDP connection established"
              type: DEPENDENT
              key: 'network.if.established[snsifUdpConn.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                UDP connection established
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.22.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 7033357585d44766b217637ab63c3a9d
              name: 'Network interface {#IF.NAME}: Incoming Current throughput'
              type: DEPENDENT
              key: 'network.if.in[snsifInCurThroughput.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Incoming Current throughput in B/s
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.25.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: ef9da342028b4257aa865e27e72da0e5
              name: "Network interface {#IF.NAME}:\_Incoming TCP data bytes"
              type: DEPENDENT
              key: 'network.if.in[snsifInTcpBytes.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Incoming TCP data bytes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.31.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 22566ecf79cd40a9a1084871c433f113
              name: 'Network interface {#IF.NAME}: Incoming data bytes'
              type: DEPENDENT
              key: 'network.if.in[snsifInTotalBytes.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Incoming data bytes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.29.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 80330f7fd1284cfda1f1b1d031ff4942
              name: "Network interface {#IF.NAME}:\_Incoming UDP data bytes"
              type: DEPENDENT
              key: 'network.if.in[snsifInUdpBytes.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Incoming UDP data bytes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.33.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 1429ffe1cd7b431d869f1c0d950159ea
              name: 'Network interface {#IF.NAME}: Interface IP address'
              type: DEPENDENT
              key: 'network.if.ip[snsifAddr.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Interface address
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.4.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: ade75a8b370642a78eed1f30ab65f4d1
              name: 'Network interface {#IF.NAME}: Interface mask'
              type: DEPENDENT
              key: 'network.if.mask[snsifMask.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Interface mask
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.5.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: ef2649d188064a58b7675b92e621e8b4
              name: 'Network interface {#IF.NAME}: Max intput flow rate'
              type: DEPENDENT
              key: 'network.if.max_in[snsifInMaxThroughput.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Maximum incoming throughput in B/s
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.27.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: d47e88ba30a844aca43197adc5714474
              name: 'Network interface {#IF.NAME}: Max output flow rate'
              type: DEPENDENT
              key: 'network.if.max_out[snsifOutMaxThroughput.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Maximum outgoing throughput in B/s
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.28.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 9b5568766f464451a0553f3daf1e2ac2
              name: 'Network interface {#IF.NAME}: System interface name'
              type: DEPENDENT
              key: 'network.if.name[snsifName.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                System interface name
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.3.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 6692880b26be445b925881809f2ddc79
              name: 'Network interface {#IF.NAME}: Outgoing Current throughput'
              type: DEPENDENT
              key: 'network.if.out[snsifOutCurThroughput.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Current outgoing throughput in B/s
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.26.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: b6728971cd694a38abd91e7f7fa4daa5
              name: "Network interface {#IF.NAME}:\_Outgoing TCP data bytes"
              type: DEPENDENT
              key: 'network.if.out[snsifOutTcpBytes.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Outgoing TCP data bytes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.32.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: d6a4ef4e15464cdd917432260c7b812c
              name: "Network interface {#IF.NAME}:\_Outgoing data bytes"
              type: DEPENDENT
              key: 'network.if.out[snsifOutTotalBytes.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Outgoing data bytes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.30.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: a228d2b92e3e4113aeab61a5e359394e
              name: "Network interface {#IF.NAME}:\_Outgoing UDP data bytes"
              type: DEPENDENT
              key: 'network.if.out[snsifOutUdpBytes.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Outgoing UDP data bytes
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.34.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: ece71b27587546b6b8c832ae93e837b5
              name: 'Network interface {#IF.NAME}: interface protected'
              type: DEPENDENT
              key: 'network.if.protected[snsifProtected.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                Is interface protected ?
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.37.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: 41a38735234743f98fdfc4c511fd6125
              name: "Network interface {#IF.NAME}:\_current TCP connection count"
              type: DEPENDENT
              key: 'network.if.TCP_count[snsifTcpConnCount.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                current TCP connection count
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.23.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
            - uuid: f9b2ae5ef7424dae8408314f5d0812fe
              name: 'Network interface {#IF.NAME}: current UDP connection count'
              type: DEPENDENT
              key: 'network.if.UDP_count[snsifUdpConnCount.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-IF-MIB
                current UDP connection count
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.4.1.1.24.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: network.interface.walk
              tags:
                - tag: component
                  value: network
          graph_prototypes:
            - uuid: ebb0603971414bba90fc78e9d0c598e7
              name: 'Interface {#IF.NAME}: Network traffic'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.in[snsifInTotalBytes.{#SNMPINDEX}]'
                - sortorder: '1'
                  color: '274482'
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.out[snsifOutTotalBytes.{#SNMPINDEX}]'
                - sortorder: '2'
                  color: F63100
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.in[snsifInTcpBytes.{#SNMPINDEX}]'
                - sortorder: '3'
                  color: 2774A4
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.out[snsifOutTcpBytes.{#SNMPINDEX}]'
                - sortorder: '4'
                  color: 6C59DC
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.in[snsifInUdpBytes.{#SNMPINDEX}]'
                - sortorder: '5'
                  color: AC8C14
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.out[snsifOutUdpBytes.{#SNMPINDEX}]'
                - sortorder: '6'
                  color: A54F10
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.accepted[snsifPktAccepted.{#SNMPINDEX}]'
                - sortorder: '7'
                  color: FC6EA3
                  calc_fnc: ALL
                  item:
                    host: 'Stormshield SNS by SNMP'
                    key: 'network.if.blocked[snsifPktBlocked.{#SNMPINDEX}]'
          master_item:
            key: network.interface.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#IF.ID}'
                - 1.3.6.1.4.1.11256.1.4.1.1.1
                - '0'
                - '{#IF.NAME}'
                - 1.3.6.1.4.1.11256.1.4.1.1.2
                - '0'
        - uuid: 2c70295c16734f8aadb1b81df6764757
          name: 'Power supply discovery'
          type: DEPENDENT
          key: power_supply.discovery
          delay: '0'
          description: 'Used for discovering power supply from the Stormshield MIB'
          item_prototypes:
            - uuid: 12c46a02bb2b430087f6c74a56f72e1f
              name: 'Firewall {#POWER.ID}: powered by electricity'
              type: DEPENDENT
              key: 'system.power.on-off[snsPowerSupplyPowered.{#SNMPINDEX}]'
              delay: '0'
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                Is power supply powered by electricity ?
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.6.1.2.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.power.walk
              tags:
                - tag: component
                  value: system
            - uuid: cbb8d405b13c4bb9b2dfffb49f677fed
              name: 'Firewall {#POWER.ID}: power status'
              type: DEPENDENT
              key: 'system.power.status[snsPowerSupplyStatus.{#SNMPINDEX}]'
              delay: '0'
              value_type: CHAR
              trends: '0'
              description: |
                MIB : STORMSHIELD-SYSTEM-MONITOR-MIB
                What is the status of the power supply ?
              preprocessing:
                - type: SNMP_WALK_VALUE
                  parameters:
                    - '1.3.6.1.4.1.11256.1.10.6.1.3.{#SNMPINDEX}'
                    - '0'
              master_item:
                key: system.power.walk
              tags:
                - tag: component
                  value: system
          master_item:
            key: system.power.walk
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#POWER.ID}'
                - 1.3.6.1.4.1.11256.1.10.6.1.1
                - '0'
      macros:
        - macro: '{$CPU.UTIL.CRIT}'
          value: '95'
          description: 'Threshold of CPU utilization for Critical trigger in %.'
        - macro: '{$CPU.UTIL.WARN}'
          value: '85'
          description: 'Threshold of CPU utilization for Warning trigger in %.'
        - macro: '{$DISK.FREE.CRIT}'
          value: '10'
          description: 'Threshold of disk free space for Critical trigger in %.'
        - macro: '{$DISK.FREE.WARN}'
          value: '20'
          description: 'Threshold of disk free space for Warning trigger in %.'
        - macro: '{$ICMP_LOSS_WARN}'
          value: '20'
          description: 'Threshold of ICMP packet loss for Warning trigger in %.'
        - macro: '{$ICMP_RESPONSE_TIME_WARN}'
          value: '0.15'
          description: 'Threshold of average ICMP response time for Warning trigger in seconds.'
        - macro: '{$MEMORY.UTIL.MAX}'
          value: '90'
          description: 'Threshold of memory utilization for trigger in %.'
        - macro: '{$NET.IF.IFNAME.NOT_MATCHES}'
          value: ^(sslvpn|ipsec)
          description: 'Usefull to exclude the sslvpn and ipsec interfaces from the network discovery.'
        - macro: '{$SNMP.TIMEOUT}'
          value: 5m
          description: 'The time interval for SNMP availability trigger.'
      dashboards:
        - uuid: 1832244f8c4141b6b3453ef8f59e0192
          name: 'SNS : General'
          display_period: '60'
          pages:
            - widgets:
                - type: item
                  name: Name
                  width: '12'
                  fields:
                    - type: STRING
                      name: description
                      value: Name
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: 'property.hardware.name[snsSystemName.0]'
                    - type: INTEGER
                      name: show.0
                      value: '1'
                    - type: INTEGER
                      name: show.1
                      value: '2'
                - type: item
                  name: 'firmware version'
                  'y': '2'
                  width: '12'
                  fields:
                    - type: STRING
                      name: description
                      value: 'firmware version'
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: 'property.hardware.version[snsVersion.0]'
                    - type: INTEGER
                      name: show.0
                      value: '1'
                    - type: INTEGER
                      name: show.1
                      value: '2'
                - type: gauge
                  name: 'Memory utilization'
                  'y': '4'
                  width: '24'
                  height: '4'
                  fields:
                    - type: STRING
                      name: description
                      value: 'Memory utilization'
                    - type: INTEGER
                      name: desc_size
                      value: '8'
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: host.memory.utilization
                    - type: STRING
                      name: max
                      value: '100'
                    - type: STRING
                      name: min
                      value: '0'
                    - type: STRING
                      name: thresholds.0.color
                      value: 0EC9AC
                    - type: STRING
                      name: thresholds.0.threshold
                      value: '0'
                    - type: STRING
                      name: thresholds.1.color
                      value: FFD54F
                    - type: STRING
                      name: thresholds.1.threshold
                      value: '70'
                    - type: STRING
                      name: thresholds.2.color
                      value: FF465C
                    - type: STRING
                      name: thresholds.2.threshold
                      value: '90'
                    - type: INTEGER
                      name: th_show_arc
                      value: '1'
                    - type: INTEGER
                      name: th_show_labels
                      value: '1'
                - type: item
                  name: Model
                  x: '12'
                  width: '12'
                  fields:
                    - type: STRING
                      name: description
                      value: Model
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: 'property.hardware.model[snsModel.0]'
                    - type: INTEGER
                      name: show.0
                      value: '1'
                    - type: INTEGER
                      name: show.1
                      value: '2'
                - type: item
                  name: 'Serial number'
                  x: '12'
                  'y': '2'
                  width: '12'
                  fields:
                    - type: STRING
                      name: description
                      value: 'Serial number'
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: 'property.hardware.serial[snsSerialNumber.0]'
                - type: problems
                  x: '24'
                  width: '48'
                  height: '6'
                  fields:
                    - type: INTEGER
                      name: acknowledgement_status
                      value: '1'
                    - type: STRING
                      name: reference
                      value: AWEZO
                    - type: INTEGER
                      name: show
                      value: '3'
                    - type: INTEGER
                      name: show_opdata
                      value: '2'
                    - type: INTEGER
                      name: show_tags
                      value: '1'
                - type: item
                  name: 'Total memory'
                  x: '24'
                  'y': '6'
                  width: '12'
                  fields:
                    - type: STRING
                      name: description
                      value: 'Total memory'
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: 'host.memory.total[memTotalReal.0]'
                    - type: INTEGER
                      name: show.0
                      value: '1'
                    - type: INTEGER
                      name: show.1
                      value: '2'
                - type: item
                  name: 'Available memory'
                  x: '36'
                  'y': '6'
                  width: '12'
                  fields:
                    - type: STRING
                      name: description
                      value: 'Available memory'
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: host.memory.available
                    - type: INTEGER
                      name: show.0
                      value: '1'
                    - type: INTEGER
                      name: show.1
                      value: '2'
                - type: item
                  name: Date
                  x: '48'
                  'y': '6'
                  width: '13'
                  fields:
                    - type: STRING
                      name: description
                      value: Date
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: 'system.date[snsDate.0]'
                - type: item
                  name: Uptime
                  x: '61'
                  'y': '6'
                  width: '11'
                  fields:
                    - type: STRING
                      name: description
                      value: Uptime
                    - type: ITEM
                      name: itemid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        key: 'system.hardware.uptime[snsUptime.0]'
                    - type: INTEGER
                      name: show.0
                      value: '1'
                    - type: INTEGER
                      name: show.1
                      value: '2'
        - uuid: cf752277dcdf4a56a3114a84099174e9
          name: 'SNS : Network statistics'
          pages:
            - widgets:
                - type: graphprototype
                  name: 'Network traffic'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '1'
                    - type: GRAPH_PROTOTYPE
                      name: graphid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        name: 'Interface {#IF.NAME}: Network traffic'
                    - type: STRING
                      name: reference
                      value: DSBBQ
        - uuid: 08f3935fdae34f298132e9a3cba8424c
          name: 'SNS : System performance'
          pages:
            - widgets:
                - type: graph
                  name: 'Memory utilization'
                  width: '36'
                  height: '5'
                  fields:
                    - type: GRAPH
                      name: graphid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        name: 'SNS: Memory utilization'
                    - type: STRING
                      name: reference
                      value: CNEZO
                - type: graphprototype
                  name: 'CPU Usage'
                  'y': '5'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '3'
                    - type: GRAPH_PROTOTYPE
                      name: graphid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        name: 'CPU {#SNMPINDEX}: Usage in %'
                    - type: STRING
                      name: reference
                      value: ZYMGP
                - type: graphprototype
                  name: 'CPU Temperature'
                  'y': '10'
                  width: '72'
                  height: '5'
                  fields:
                    - type: INTEGER
                      name: columns
                      value: '3'
                    - type: GRAPH_PROTOTYPE
                      name: graphid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        name: 'CPU {#CPU.ID}: Temperature in degree celsius'
                    - type: STRING
                      name: reference
                      value: EHYMM
                - type: graph
                  name: 'Memory usage'
                  x: '36'
                  width: '36'
                  height: '5'
                  fields:
                    - type: GRAPH
                      name: graphid.0
                      value:
                        host: 'Stormshield SNS by SNMP'
                        name: 'SNS: Memory usage'
                    - type: STRING
                      name: reference
                      value: PRENO
  graphs:
    - uuid: 42d5c57ed53748149f28ef3c2a9feec3
      name: 'SNS: Memory usage'
      graph_items:
        - color: '274482'
          calc_fnc: ALL
          item:
            host: 'Stormshield SNS by SNMP'
            key: 'host.memory.total[memTotalReal.0]'
        - sortorder: '1'
          color: 1A7C11
          calc_fnc: ALL
          item:
            host: 'Stormshield SNS by SNMP'
            key: host.memory.available
        - sortorder: '2'
          color: F63100
          calc_fnc: ALL
          item:
            host: 'Stormshield SNS by SNMP'
            key: host.memory.used
    - uuid: 3e5e9b5c5ba547a99c37e60c05d0d9f1
      name: 'SNS: Memory utilization'
      graph_items:
        - color: 1A7C11
          calc_fnc: ALL
          item:
            host: 'Stormshield SNS by SNMP'
            key: host.memory.utilization
